import type { _GKNoiseSource } from "./GKNoiseSource.js";
export declare class _GKCylindersNoiseSource extends _GKNoiseSource {
    static alloc(): _GKCylindersNoiseSource;
    static new(): _GKCylindersNoiseSource;
    init(): _GKCylindersNoiseSource;
    static cylindersNoiseWithFrequency$(frequency: number): _GKCylindersNoiseSource;
    initWithFrequency$(frequency: number): _GKCylindersNoiseSource;
    frequency(): number;
    setFrequency$(value: number): void;
}
